View Issue Details

IDProjectCategoryView StatusLast Update
0016918MediaMonkey 5Framework: Scripts/Extensionspublic2020-10-09 10:33
ReporterLudek Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0016918: Some extensions cannot be installed
DescriptionIt looks that some extensions (MMIP) files (e.g. those packaged by archiver from node.js) are not installable and MM5 reports "Invalid Extension!" error.

Sample of such an archive is attached.
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?p=472361#p472361
TagsNo tags attached.
Fixed in build2269

Activities

Ludek

2020-09-07 07:44

developer   ~0059565

test (2).mmip (2,285 bytes)

peke

2020-09-07 08:09

developer   ~0059566

Wrong version of test MMIP is uploaded, as talked offline "test (2).mmip" installs normally but "test.mmip" do not.

Uploading "test.mmip" also.
test.mmip (2,407 bytes)

Ludek

2020-09-07 12:12

developer   ~0059569

Fixed in 2267

peke

2020-09-18 23:34

developer   ~0059611

Verified 2267

Also tested for regressions on supplied sample scripts as it uses different ZIP compressor app.

Ludek

2020-09-29 17:35

developer   ~0059726

Last edited: 2020-09-29 17:35

View 2 revisions

User drakinite is still seeing a crash (A11A0000) with an extension created using nodejs archiver on build 2268
I am waiting for the sample extension from him (to be sent via PM)

Ludek

2020-09-30 10:54

developer   ~0059733

Last edited: 2020-09-30 12:12

View 6 revisions

He sent me the archive and it is ZIP64 archive for Unix created by a node.js script.
MM5 crashes with "Invalid Zip Central Header Signature" as it expects value 0x02014b50 (more details about the error http://docwiki.embarcadero.com/Libraries/Sydney/en/System.Zip.EZipException )
0x02014b50 is really expected signature for central header, see: https://en.wikipedia.org/wiki/Zip_(file_format)

Starting from 2269 I am catching such an errors and show it in error dialog.

Note that others decompressors seems to ignore such an errors, ignoring it for us would mean to copy System.zip librariy from RAD studio and tweak it to ignore invalid headers, but I would rather avoid installing invalid extensions for now as it could result in some unpredicable (and probably worse) subsequent errors.

peke

2020-10-09 10:33

developer   ~0059785

Verified 2269 with supplied sample plugins from drakinite and confirmed that he will not use forcezip64 anymore.